<?php
namespace Teknisa\FIS\Controllers;

use Teknisa\FIS\Services\Fis08600ParametrosIntegracaoFechamentoCupomService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;


class Fis08600ParametrosIntegracaoFechamentoCupomController extends \Teknisa\FIS\Controllers\TeknisaCrud{

    protected $dataSourceName;
    protected $parameterBag;
    protected $crudService;
    protected $dataSourceNameToSave  = false;
    protected $service;

    public function __construct($crudService, ParameterBag $parameterBag, Fis08600ParametrosIntegracaoFechamentoCupomService $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }


    public function verificaFilialParavend(DTO\Request $request, DTO\Response $response) {
        try {
            $row = $request->getRow();
            $novo = $this->service->verificaFilialParavend($row);
            $dataSet = new DataSet('resultado', array('NOVO'=> $novo));
            $response->addDataSet($dataSet);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
}
